{% extends 'layout.html' %} {% load static %}

{% block title %}
    Kartu Vaksin
{% endblock title %}

{% block js %}
<script src="{% static 'scripts/pengguna/kartu_vaksin.js' %}"></script>
{% endblock js %}

{% block content %}
{% include 'navbar.html' %}
<div class="container" style="width: 50rem;">
    <br><br><br><h1 class="text-center m-10">Kartu Vaksin</h1><br><br>
    <table class="table table-striped table-bordered align-middle" id="kartu-vaksin">
        <thead>
            <tr class="table-success" style="text-align:center;">
                <th>No.</th>
                <th>Nomor Sertifikat</th>
                <th>Tahapan</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody style="text-align:center">
            {% for kartu in list_kartu %}
            <tr>
                <td>{{ forloop.counter }}</td>
                <td>{{ kartu.no_sertifikat }}</td>
                <td>{{ kartu.status_tahapan }}</td>
                <td hidden>{{ kartu.nama_lengkap }}</td>
                <td><button type='button' class='btn btn-primary toggleModal'>Detail</button></td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
<div class="modal fade" tabindex="-1" role="dialog" id="detail-kartu"> 
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Kartu Vaksin</h4>
        </div>
        <div class="modal-body">
            <p>Nama: <span id='nama'></span></p>
            <p>Nomor sertifikat: <span id='noSerti'></span></p>
            <p>Status tahapan vaksin: <span id='tahap'></span></p>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" id="cancel">Cancel</button>
            <button type="button" class="btn btn-primary" id="unduh">Unduh</button>
        </div>
    </div>
</div>

{% endblock content %}

